Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network72.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
72.0.0.0
Broadcast address
73.255.255.255
First usable
72.0.0.1
Last usable
73.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 48000000 · Integer 1207959552 to 1241513983
Reverse DNS zones
72.in-addr.arpa
73.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001000.00000000.00000000.0000000072.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network01001000.00000000.00000000.0000000072.0.0.0
Broadcast01001001.11111111.11111111.1111111173.255.255.255
Split into smaller subnets/18

72.0.0.0/7 makes 2,048 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
172.0.0.0/1872.0.0.1 to 72.0.63.25472.0.63.25516,382
272.0.64.0/1872.0.64.1 to 72.0.127.25472.0.127.25516,382
372.0.128.0/1872.0.128.1 to 72.0.191.25472.0.191.25516,382
472.0.192.0/1872.0.192.1 to 72.0.255.25472.0.255.25516,382
572.1.0.0/1872.1.0.1 to 72.1.63.25472.1.63.25516,382
672.1.64.0/1872.1.64.1 to 72.1.127.25472.1.127.25516,382
772.1.128.0/1872.1.128.1 to 72.1.191.25472.1.191.25516,382
872.1.192.0/1872.1.192.1 to 72.1.255.25472.1.255.25516,382
972.2.0.0/1872.2.0.1 to 72.2.63.25472.2.63.25516,382
1072.2.64.0/1872.2.64.1 to 72.2.127.25472.2.127.25516,382
1172.2.128.0/1872.2.128.1 to 72.2.191.25472.2.191.25516,382
1272.2.192.0/1872.2.192.1 to 72.2.255.25472.2.255.25516,382
1372.3.0.0/1872.3.0.1 to 72.3.63.25472.3.63.25516,382
1472.3.64.0/1872.3.64.1 to 72.3.127.25472.3.127.25516,382
1572.3.128.0/1872.3.128.1 to 72.3.191.25472.3.191.25516,382
1672.3.192.0/1872.3.192.1 to 72.3.255.25472.3.255.25516,382
1772.4.0.0/1872.4.0.1 to 72.4.63.25472.4.63.25516,382
1872.4.64.0/1872.4.64.1 to 72.4.127.25472.4.127.25516,382
1972.4.128.0/1872.4.128.1 to 72.4.191.25472.4.191.25516,382
2072.4.192.0/1872.4.192.1 to 72.4.255.25472.4.255.25516,382
2172.5.0.0/1872.5.0.1 to 72.5.63.25472.5.63.25516,382
2272.5.64.0/1872.5.64.1 to 72.5.127.25472.5.127.25516,382
2372.5.128.0/1872.5.128.1 to 72.5.191.25472.5.191.25516,382
2472.5.192.0/1872.5.192.1 to 72.5.255.25472.5.255.25516,382
2572.6.0.0/1872.6.0.1 to 72.6.63.25472.6.63.25516,382
2672.6.64.0/1872.6.64.1 to 72.6.127.25472.6.127.25516,382
2772.6.128.0/1872.6.128.1 to 72.6.191.25472.6.191.25516,382
2872.6.192.0/1872.6.192.1 to 72.6.255.25472.6.255.25516,382
2972.7.0.0/1872.7.0.1 to 72.7.63.25472.7.63.25516,382
3072.7.64.0/1872.7.64.1 to 72.7.127.25472.7.127.25516,382
3172.7.128.0/1872.7.128.1 to 72.7.191.25472.7.191.25516,382
3272.7.192.0/1872.7.192.1 to 72.7.255.25472.7.255.25516,382
3372.8.0.0/1872.8.0.1 to 72.8.63.25472.8.63.25516,382
3472.8.64.0/1872.8.64.1 to 72.8.127.25472.8.127.25516,382
3572.8.128.0/1872.8.128.1 to 72.8.191.25472.8.191.25516,382
3672.8.192.0/1872.8.192.1 to 72.8.255.25472.8.255.25516,382
3772.9.0.0/1872.9.0.1 to 72.9.63.25472.9.63.25516,382
3872.9.64.0/1872.9.64.1 to 72.9.127.25472.9.127.25516,382
3972.9.128.0/1872.9.128.1 to 72.9.191.25472.9.191.25516,382
4072.9.192.0/1872.9.192.1 to 72.9.255.25472.9.255.25516,382
4172.10.0.0/1872.10.0.1 to 72.10.63.25472.10.63.25516,382
4272.10.64.0/1872.10.64.1 to 72.10.127.25472.10.127.25516,382
4372.10.128.0/1872.10.128.1 to 72.10.191.25472.10.191.25516,382
4472.10.192.0/1872.10.192.1 to 72.10.255.25472.10.255.25516,382
4572.11.0.0/1872.11.0.1 to 72.11.63.25472.11.63.25516,382
4672.11.64.0/1872.11.64.1 to 72.11.127.25472.11.127.25516,382
4772.11.128.0/1872.11.128.1 to 72.11.191.25472.11.191.25516,382
4872.11.192.0/1872.11.192.1 to 72.11.255.25472.11.255.25516,382
4972.12.0.0/1872.12.0.1 to 72.12.63.25472.12.63.25516,382
5072.12.64.0/1872.12.64.1 to 72.12.127.25472.12.127.25516,382
5172.12.128.0/1872.12.128.1 to 72.12.191.25472.12.191.25516,382
5272.12.192.0/1872.12.192.1 to 72.12.255.25472.12.255.25516,382
5372.13.0.0/1872.13.0.1 to 72.13.63.25472.13.63.25516,382
5472.13.64.0/1872.13.64.1 to 72.13.127.25472.13.127.25516,382
5572.13.128.0/1872.13.128.1 to 72.13.191.25472.13.191.25516,382
5672.13.192.0/1872.13.192.1 to 72.13.255.25472.13.255.25516,382
5772.14.0.0/1872.14.0.1 to 72.14.63.25472.14.63.25516,382
5872.14.64.0/1872.14.64.1 to 72.14.127.25472.14.127.25516,382
5972.14.128.0/1872.14.128.1 to 72.14.191.25472.14.191.25516,382
6072.14.192.0/1872.14.192.1 to 72.14.255.25472.14.255.25516,382
6172.15.0.0/1872.15.0.1 to 72.15.63.25472.15.63.25516,382
6272.15.64.0/1872.15.64.1 to 72.15.127.25472.15.127.25516,382
6372.15.128.0/1872.15.128.1 to 72.15.191.25472.15.191.25516,382
6472.15.192.0/1872.15.192.1 to 72.15.255.25472.15.255.25516,382
6572.16.0.0/1872.16.0.1 to 72.16.63.25472.16.63.25516,382
6672.16.64.0/1872.16.64.1 to 72.16.127.25472.16.127.25516,382
6772.16.128.0/1872.16.128.1 to 72.16.191.25472.16.191.25516,382
6872.16.192.0/1872.16.192.1 to 72.16.255.25472.16.255.25516,382
6972.17.0.0/1872.17.0.1 to 72.17.63.25472.17.63.25516,382
7072.17.64.0/1872.17.64.1 to 72.17.127.25472.17.127.25516,382
7172.17.128.0/1872.17.128.1 to 72.17.191.25472.17.191.25516,382
7272.17.192.0/1872.17.192.1 to 72.17.255.25472.17.255.25516,382
7372.18.0.0/1872.18.0.1 to 72.18.63.25472.18.63.25516,382
7472.18.64.0/1872.18.64.1 to 72.18.127.25472.18.127.25516,382
7572.18.128.0/1872.18.128.1 to 72.18.191.25472.18.191.25516,382
7672.18.192.0/1872.18.192.1 to 72.18.255.25472.18.255.25516,382
7772.19.0.0/1872.19.0.1 to 72.19.63.25472.19.63.25516,382
7872.19.64.0/1872.19.64.1 to 72.19.127.25472.19.127.25516,382
7972.19.128.0/1872.19.128.1 to 72.19.191.25472.19.191.25516,382
8072.19.192.0/1872.19.192.1 to 72.19.255.25472.19.255.25516,382
8172.20.0.0/1872.20.0.1 to 72.20.63.25472.20.63.25516,382
8272.20.64.0/1872.20.64.1 to 72.20.127.25472.20.127.25516,382
8372.20.128.0/1872.20.128.1 to 72.20.191.25472.20.191.25516,382
8472.20.192.0/1872.20.192.1 to 72.20.255.25472.20.255.25516,382
8572.21.0.0/1872.21.0.1 to 72.21.63.25472.21.63.25516,382
8672.21.64.0/1872.21.64.1 to 72.21.127.25472.21.127.25516,382
8772.21.128.0/1872.21.128.1 to 72.21.191.25472.21.191.25516,382
8872.21.192.0/1872.21.192.1 to 72.21.255.25472.21.255.25516,382
8972.22.0.0/1872.22.0.1 to 72.22.63.25472.22.63.25516,382
9072.22.64.0/1872.22.64.1 to 72.22.127.25472.22.127.25516,382
9172.22.128.0/1872.22.128.1 to 72.22.191.25472.22.191.25516,382
9272.22.192.0/1872.22.192.1 to 72.22.255.25472.22.255.25516,382
9372.23.0.0/1872.23.0.1 to 72.23.63.25472.23.63.25516,382
9472.23.64.0/1872.23.64.1 to 72.23.127.25472.23.127.25516,382
9572.23.128.0/1872.23.128.1 to 72.23.191.25472.23.191.25516,382
9672.23.192.0/1872.23.192.1 to 72.23.255.25472.23.255.25516,382
9772.24.0.0/1872.24.0.1 to 72.24.63.25472.24.63.25516,382
9872.24.64.0/1872.24.64.1 to 72.24.127.25472.24.127.25516,382
9972.24.128.0/1872.24.128.1 to 72.24.191.25472.24.191.25516,382
10072.24.192.0/1872.24.192.1 to 72.24.255.25472.24.255.25516,382
10172.25.0.0/1872.25.0.1 to 72.25.63.25472.25.63.25516,382
10272.25.64.0/1872.25.64.1 to 72.25.127.25472.25.127.25516,382
10372.25.128.0/1872.25.128.1 to 72.25.191.25472.25.191.25516,382
10472.25.192.0/1872.25.192.1 to 72.25.255.25472.25.255.25516,382
10572.26.0.0/1872.26.0.1 to 72.26.63.25472.26.63.25516,382
10672.26.64.0/1872.26.64.1 to 72.26.127.25472.26.127.25516,382
10772.26.128.0/1872.26.128.1 to 72.26.191.25472.26.191.25516,382
10872.26.192.0/1872.26.192.1 to 72.26.255.25472.26.255.25516,382
10972.27.0.0/1872.27.0.1 to 72.27.63.25472.27.63.25516,382
11072.27.64.0/1872.27.64.1 to 72.27.127.25472.27.127.25516,382
11172.27.128.0/1872.27.128.1 to 72.27.191.25472.27.191.25516,382
11272.27.192.0/1872.27.192.1 to 72.27.255.25472.27.255.25516,382
11372.28.0.0/1872.28.0.1 to 72.28.63.25472.28.63.25516,382
11472.28.64.0/1872.28.64.1 to 72.28.127.25472.28.127.25516,382
11572.28.128.0/1872.28.128.1 to 72.28.191.25472.28.191.25516,382
11672.28.192.0/1872.28.192.1 to 72.28.255.25472.28.255.25516,382
11772.29.0.0/1872.29.0.1 to 72.29.63.25472.29.63.25516,382
11872.29.64.0/1872.29.64.1 to 72.29.127.25472.29.127.25516,382
11972.29.128.0/1872.29.128.1 to 72.29.191.25472.29.191.25516,382
12072.29.192.0/1872.29.192.1 to 72.29.255.25472.29.255.25516,382
12172.30.0.0/1872.30.0.1 to 72.30.63.25472.30.63.25516,382
12272.30.64.0/1872.30.64.1 to 72.30.127.25472.30.127.25516,382
12372.30.128.0/1872.30.128.1 to 72.30.191.25472.30.191.25516,382
12472.30.192.0/1872.30.192.1 to 72.30.255.25472.30.255.25516,382
12572.31.0.0/1872.31.0.1 to 72.31.63.25472.31.63.25516,382
12672.31.64.0/1872.31.64.1 to 72.31.127.25472.31.127.25516,382
12772.31.128.0/1872.31.128.1 to 72.31.191.25472.31.191.25516,382
12872.31.192.0/1872.31.192.1 to 72.31.255.25472.31.255.25516,382
12972.32.0.0/1872.32.0.1 to 72.32.63.25472.32.63.25516,382
13072.32.64.0/1872.32.64.1 to 72.32.127.25472.32.127.25516,382
13172.32.128.0/1872.32.128.1 to 72.32.191.25472.32.191.25516,382
13272.32.192.0/1872.32.192.1 to 72.32.255.25472.32.255.25516,382
13372.33.0.0/1872.33.0.1 to 72.33.63.25472.33.63.25516,382
13472.33.64.0/1872.33.64.1 to 72.33.127.25472.33.127.25516,382
13572.33.128.0/1872.33.128.1 to 72.33.191.25472.33.191.25516,382
13672.33.192.0/1872.33.192.1 to 72.33.255.25472.33.255.25516,382
13772.34.0.0/1872.34.0.1 to 72.34.63.25472.34.63.25516,382
13872.34.64.0/1872.34.64.1 to 72.34.127.25472.34.127.25516,382
13972.34.128.0/1872.34.128.1 to 72.34.191.25472.34.191.25516,382
14072.34.192.0/1872.34.192.1 to 72.34.255.25472.34.255.25516,382
14172.35.0.0/1872.35.0.1 to 72.35.63.25472.35.63.25516,382
14272.35.64.0/1872.35.64.1 to 72.35.127.25472.35.127.25516,382
14372.35.128.0/1872.35.128.1 to 72.35.191.25472.35.191.25516,382
14472.35.192.0/1872.35.192.1 to 72.35.255.25472.35.255.25516,382
14572.36.0.0/1872.36.0.1 to 72.36.63.25472.36.63.25516,382
14672.36.64.0/1872.36.64.1 to 72.36.127.25472.36.127.25516,382
14772.36.128.0/1872.36.128.1 to 72.36.191.25472.36.191.25516,382
14872.36.192.0/1872.36.192.1 to 72.36.255.25472.36.255.25516,382
14972.37.0.0/1872.37.0.1 to 72.37.63.25472.37.63.25516,382
15072.37.64.0/1872.37.64.1 to 72.37.127.25472.37.127.25516,382
15172.37.128.0/1872.37.128.1 to 72.37.191.25472.37.191.25516,382
15272.37.192.0/1872.37.192.1 to 72.37.255.25472.37.255.25516,382
15372.38.0.0/1872.38.0.1 to 72.38.63.25472.38.63.25516,382
15472.38.64.0/1872.38.64.1 to 72.38.127.25472.38.127.25516,382
15572.38.128.0/1872.38.128.1 to 72.38.191.25472.38.191.25516,382
15672.38.192.0/1872.38.192.1 to 72.38.255.25472.38.255.25516,382
15772.39.0.0/1872.39.0.1 to 72.39.63.25472.39.63.25516,382
15872.39.64.0/1872.39.64.1 to 72.39.127.25472.39.127.25516,382
15972.39.128.0/1872.39.128.1 to 72.39.191.25472.39.191.25516,382
16072.39.192.0/1872.39.192.1 to 72.39.255.25472.39.255.25516,382
16172.40.0.0/1872.40.0.1 to 72.40.63.25472.40.63.25516,382
16272.40.64.0/1872.40.64.1 to 72.40.127.25472.40.127.25516,382
16372.40.128.0/1872.40.128.1 to 72.40.191.25472.40.191.25516,382
16472.40.192.0/1872.40.192.1 to 72.40.255.25472.40.255.25516,382
16572.41.0.0/1872.41.0.1 to 72.41.63.25472.41.63.25516,382
16672.41.64.0/1872.41.64.1 to 72.41.127.25472.41.127.25516,382
16772.41.128.0/1872.41.128.1 to 72.41.191.25472.41.191.25516,382
16872.41.192.0/1872.41.192.1 to 72.41.255.25472.41.255.25516,382
16972.42.0.0/1872.42.0.1 to 72.42.63.25472.42.63.25516,382
17072.42.64.0/1872.42.64.1 to 72.42.127.25472.42.127.25516,382
17172.42.128.0/1872.42.128.1 to 72.42.191.25472.42.191.25516,382
17272.42.192.0/1872.42.192.1 to 72.42.255.25472.42.255.25516,382
17372.43.0.0/1872.43.0.1 to 72.43.63.25472.43.63.25516,382
17472.43.64.0/1872.43.64.1 to 72.43.127.25472.43.127.25516,382
17572.43.128.0/1872.43.128.1 to 72.43.191.25472.43.191.25516,382
17672.43.192.0/1872.43.192.1 to 72.43.255.25472.43.255.25516,382
17772.44.0.0/1872.44.0.1 to 72.44.63.25472.44.63.25516,382
17872.44.64.0/1872.44.64.1 to 72.44.127.25472.44.127.25516,382
17972.44.128.0/1872.44.128.1 to 72.44.191.25472.44.191.25516,382
18072.44.192.0/1872.44.192.1 to 72.44.255.25472.44.255.25516,382
18172.45.0.0/1872.45.0.1 to 72.45.63.25472.45.63.25516,382
18272.45.64.0/1872.45.64.1 to 72.45.127.25472.45.127.25516,382
18372.45.128.0/1872.45.128.1 to 72.45.191.25472.45.191.25516,382
18472.45.192.0/1872.45.192.1 to 72.45.255.25472.45.255.25516,382
18572.46.0.0/1872.46.0.1 to 72.46.63.25472.46.63.25516,382
18672.46.64.0/1872.46.64.1 to 72.46.127.25472.46.127.25516,382
18772.46.128.0/1872.46.128.1 to 72.46.191.25472.46.191.25516,382
18872.46.192.0/1872.46.192.1 to 72.46.255.25472.46.255.25516,382
18972.47.0.0/1872.47.0.1 to 72.47.63.25472.47.63.25516,382
19072.47.64.0/1872.47.64.1 to 72.47.127.25472.47.127.25516,382
19172.47.128.0/1872.47.128.1 to 72.47.191.25472.47.191.25516,382
19272.47.192.0/1872.47.192.1 to 72.47.255.25472.47.255.25516,382
19372.48.0.0/1872.48.0.1 to 72.48.63.25472.48.63.25516,382
19472.48.64.0/1872.48.64.1 to 72.48.127.25472.48.127.25516,382
19572.48.128.0/1872.48.128.1 to 72.48.191.25472.48.191.25516,382
19672.48.192.0/1872.48.192.1 to 72.48.255.25472.48.255.25516,382
19772.49.0.0/1872.49.0.1 to 72.49.63.25472.49.63.25516,382
19872.49.64.0/1872.49.64.1 to 72.49.127.25472.49.127.25516,382
19972.49.128.0/1872.49.128.1 to 72.49.191.25472.49.191.25516,382
20072.49.192.0/1872.49.192.1 to 72.49.255.25472.49.255.25516,382
20172.50.0.0/1872.50.0.1 to 72.50.63.25472.50.63.25516,382
20272.50.64.0/1872.50.64.1 to 72.50.127.25472.50.127.25516,382
20372.50.128.0/1872.50.128.1 to 72.50.191.25472.50.191.25516,382
20472.50.192.0/1872.50.192.1 to 72.50.255.25472.50.255.25516,382
20572.51.0.0/1872.51.0.1 to 72.51.63.25472.51.63.25516,382
20672.51.64.0/1872.51.64.1 to 72.51.127.25472.51.127.25516,382
20772.51.128.0/1872.51.128.1 to 72.51.191.25472.51.191.25516,382
20872.51.192.0/1872.51.192.1 to 72.51.255.25472.51.255.25516,382
20972.52.0.0/1872.52.0.1 to 72.52.63.25472.52.63.25516,382
21072.52.64.0/1872.52.64.1 to 72.52.127.25472.52.127.25516,382
21172.52.128.0/1872.52.128.1 to 72.52.191.25472.52.191.25516,382
21272.52.192.0/1872.52.192.1 to 72.52.255.25472.52.255.25516,382
21372.53.0.0/1872.53.0.1 to 72.53.63.25472.53.63.25516,382
21472.53.64.0/1872.53.64.1 to 72.53.127.25472.53.127.25516,382
21572.53.128.0/1872.53.128.1 to 72.53.191.25472.53.191.25516,382
21672.53.192.0/1872.53.192.1 to 72.53.255.25472.53.255.25516,382
21772.54.0.0/1872.54.0.1 to 72.54.63.25472.54.63.25516,382
21872.54.64.0/1872.54.64.1 to 72.54.127.25472.54.127.25516,382
21972.54.128.0/1872.54.128.1 to 72.54.191.25472.54.191.25516,382
22072.54.192.0/1872.54.192.1 to 72.54.255.25472.54.255.25516,382
22172.55.0.0/1872.55.0.1 to 72.55.63.25472.55.63.25516,382
22272.55.64.0/1872.55.64.1 to 72.55.127.25472.55.127.25516,382
22372.55.128.0/1872.55.128.1 to 72.55.191.25472.55.191.25516,382
22472.55.192.0/1872.55.192.1 to 72.55.255.25472.55.255.25516,382
22572.56.0.0/1872.56.0.1 to 72.56.63.25472.56.63.25516,382
22672.56.64.0/1872.56.64.1 to 72.56.127.25472.56.127.25516,382
22772.56.128.0/1872.56.128.1 to 72.56.191.25472.56.191.25516,382
22872.56.192.0/1872.56.192.1 to 72.56.255.25472.56.255.25516,382
22972.57.0.0/1872.57.0.1 to 72.57.63.25472.57.63.25516,382
23072.57.64.0/1872.57.64.1 to 72.57.127.25472.57.127.25516,382
23172.57.128.0/1872.57.128.1 to 72.57.191.25472.57.191.25516,382
23272.57.192.0/1872.57.192.1 to 72.57.255.25472.57.255.25516,382
23372.58.0.0/1872.58.0.1 to 72.58.63.25472.58.63.25516,382
23472.58.64.0/1872.58.64.1 to 72.58.127.25472.58.127.25516,382
23572.58.128.0/1872.58.128.1 to 72.58.191.25472.58.191.25516,382
23672.58.192.0/1872.58.192.1 to 72.58.255.25472.58.255.25516,382
23772.59.0.0/1872.59.0.1 to 72.59.63.25472.59.63.25516,382
23872.59.64.0/1872.59.64.1 to 72.59.127.25472.59.127.25516,382
23972.59.128.0/1872.59.128.1 to 72.59.191.25472.59.191.25516,382
24072.59.192.0/1872.59.192.1 to 72.59.255.25472.59.255.25516,382
24172.60.0.0/1872.60.0.1 to 72.60.63.25472.60.63.25516,382
24272.60.64.0/1872.60.64.1 to 72.60.127.25472.60.127.25516,382
24372.60.128.0/1872.60.128.1 to 72.60.191.25472.60.191.25516,382
24472.60.192.0/1872.60.192.1 to 72.60.255.25472.60.255.25516,382
24572.61.0.0/1872.61.0.1 to 72.61.63.25472.61.63.25516,382
24672.61.64.0/1872.61.64.1 to 72.61.127.25472.61.127.25516,382
24772.61.128.0/1872.61.128.1 to 72.61.191.25472.61.191.25516,382
24872.61.192.0/1872.61.192.1 to 72.61.255.25472.61.255.25516,382
24972.62.0.0/1872.62.0.1 to 72.62.63.25472.62.63.25516,382
25072.62.64.0/1872.62.64.1 to 72.62.127.25472.62.127.25516,382
25172.62.128.0/1872.62.128.1 to 72.62.191.25472.62.191.25516,382
25272.62.192.0/1872.62.192.1 to 72.62.255.25472.62.255.25516,382
25372.63.0.0/1872.63.0.1 to 72.63.63.25472.63.63.25516,382
25472.63.64.0/1872.63.64.1 to 72.63.127.25472.63.127.25516,382
25572.63.128.0/1872.63.128.1 to 72.63.191.25472.63.191.25516,382
25672.63.192.0/1872.63.192.1 to 72.63.255.25472.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses